//
//  TDImageCell.h
//  JATableCells
//
//  Created by Tenoch De La Cruz on Wed Aug 21 2002.
//  Copyright (c) 2002 Jasendo Technologies Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef enum {
    TDDarkBezel  = 0,
    TDGrayBezel,
    TDWhiteBezel,
    TDLightBezel,
    TDGroove,
    TDRect,
    TDButton,
    TDNoFrame
} TDImageFrameStyle;

typedef enum {
    TDLightTint = 0,
    TDDarkTint,
    TDNoTint
} TDTintStyle;

@interface TDImageCell : NSCell <NSCopying, NSCoding>
{
    NSView *controlView;
@private
    NSImage *img;
    NSImageAlignment alignment;
    NSImageScaling scale;
    TDImageFrameStyle frameStyle;
    TDTintStyle backgroundTintStyle;
    NSColor *backgroundTintColor;
    TDTintStyle finalTintStyle;
    NSColor *finalTintColor;
    float imageTransparency;
    NSImage *testImage;
}


- (NSImageAlignment)imageAlignment;
- (void)setImageAlignment:(NSImageAlignment)newAlign;
- (NSImageScaling)imageScaling;
- (void)setImageScaling:(NSImageScaling)newScaling;

- (TDImageFrameStyle)imageFrameStyle;
- (void)setImageFrameStyle:(TDImageFrameStyle)newStyle;
- (TDTintStyle) backgroundTintStyle;
- (void) setBackgroundTintStyle:(TDTintStyle)newStyle;
- (TDTintStyle) finalTintStyle;
- (void) setFinalTintStyle:(TDTintStyle)newStyle;
- (float) imageTransparency;
- (void) setImageTransparency:(float)newValue;

- (NSColor *) backgroundTintColor;
- (void) setBackgroundTintColor: (NSColor *)newColor;
- (NSColor *) finalTintColor;
- (void) setFinalTintColor: (NSColor *)newColor;

@end
